# na_elementsw_volume_pair – NetApp Element Software Volume Pair

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Create, delete volume pair

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1

- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
dest_account - / required |  | Destination account name or ID
dest_mvip - / required |  | Destination IP address of the paired cluster.
dest_password - |  | Destination password for the paired cluster Optional if this is same as source cluster password.
dest_username - |  | Destination username for the paired cluster Optional if this is same as source cluster username.
dest_volume - / required |  | Destination volume name or volume ID
hostname - / required |  | The hostname or IP address of the SolidFire cluster.

mode
-

Choices:
- async ←
- sync
- snapshotsonly

Mode to start the volume pairing

password - / required |  | Password for the specified user. aliases: pass
src_account - / required |  | Source account name or ID
src_volume - / required |  | Source volume name or volume ID

state
-

Choices:
- present ←
- absent

Whether the specified volume pair should exist or not.

username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Create volume pair
      na_elementsw_volume_pair:
        hostname: "{{ src_cluster_hostname }}"
        username: "{{ src_cluster_username }}"
        password: "{{ src_cluster_password }}"
        state: present
        src_volume: test1
        src_account: test2
        dest_volume: test3
        dest_account: test4
        mode: sync
        dest_mvip: "{{ dest_cluster_hostname }}"

    - name: Delete volume pair
      na_elementsw_volume_pair:
        hostname: "{{ src_cluster_hostname }}"
        username: "{{ src_cluster_username }}"
        password: "{{ src_cluster_password }}"
        state: absent
        src_volume: 3
        src_account: 1
        dest_volume: 2
        dest_account: 1
        dest_mvip: "{{ dest_cluster_hostname }}"
        dest_username: "{{ dest_cluster_username }}"
        dest_password: "{{ dest_cluster_password }}"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.